#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name: kompare
Summary: A diff graphic tool
Version: 17.12.2
Group: Graphical desktop/KDE
Release: %mkrel %{rel}
Epoch: 1
License: GPLv2 and LGPLv2 and GFDL
Source: http://download.kde.org/stable/%version/src/%{name}-%{version}.tar.xz

BuildRequires: libkomparediff2-devel >= 1:%version

BuildRequires:  pkgconfig(Qt5Core)

BuildRequires:  kf5-macros
BuildRequires:  kcoreaddons-devel
BuildRequires:  kcodecs-devel
BuildRequires:  kdoctools-devel
BuildRequires:  kiconthemes-devel 
BuildRequires:  kjobwidgets-devel 
BuildRequires:  kconfig-devel 
BuildRequires:  kparts-devel 
BuildRequires:  ktexteditor-devel 
BuildRequires:  kwidgetsaddons-devel

BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl

Requires:       kparts

Conflicts: kdesdk4-core < 1:4.10.80

Obsoletes: kbugbuster < 1:4.5.76

# conflicts with mga6 packages
Conflicts:      kde-l10n-ar < 17.04.3-1
Conflicts:      kde-l10n-bg < 17.04.3-1
Conflicts:      kde-l10n-bs < 17.04.3-1
Conflicts:      kde-l10n-ca < 17.04.3-1
Conflicts:      kde-l10n-ca-valencia < 17.04.3-1
Conflicts:      kde-l10n-cs < 17.04.3-1
Conflicts:      kde-l10n-da < 17.04.3-1
Conflicts:      kde-l10n-de < 17.04.3-1
Conflicts:      kde-l10n-el < 17.04.3-1
Conflicts:      kde-l10n-en_GB < 17.04.3-1
Conflicts:      kde-l10n-en_US < 17.04.3-1
Conflicts:      kde-l10n-es < 17.04.3-1
Conflicts:      kde-l10n-et < 17.04.3-1
Conflicts:      kde-l10n-eu < 17.04.3-1
Conflicts:      kde-l10n-fa < 17.04.3-1
Conflicts:      kde-l10n-fi < 17.04.3-1
Conflicts:      kde-l10n-fr < 17.04.3-1
Conflicts:      kde-l10n-ga < 17.04.3-1
Conflicts:      kde-l10n-gl < 17.04.3-1
Conflicts:      kde-l10n-he < 17.04.3-1
Conflicts:      kde-l10n-hi < 17.04.3-1
Conflicts:      kde-l10n-hr < 17.04.3-1
Conflicts:      kde-l10n-hu < 17.04.3-1
Conflicts:      kde-l10n-ia < 17.04.3-1
Conflicts:      kde-l10n-id < 17.04.3-1
Conflicts:      kde-l10n-is < 17.04.3-1
Conflicts:      kde-l10n-it < 17.04.3-1
Conflicts:      kde-l10n-ja < 17.04.3-1
Conflicts:      kde-l10n-kk < 17.04.3-1
Conflicts:      kde-l10n-km < 17.04.3-1
Conflicts:      kde-l10n-ko < 17.04.3-1
Conflicts:      kde-l10n-lt < 17.04.3-1
Conflicts:      kde-l10n-lv < 17.04.3-1
Conflicts:      kde-l10n-mr < 17.04.3-1
Conflicts:      kde-l10n-nb < 17.04.3-1
Conflicts:      kde-l10n-nds < 17.04.3-1
Conflicts:      kde-l10n-nl < 17.04.3-1
Conflicts:      kde-l10n-nn < 17.04.3-1
Conflicts:      kde-l10n-pa < 17.04.3-1
Conflicts:      kde-l10n-pl < 17.04.3-1
Conflicts:      kde-l10n-pt < 17.04.3-1
Conflicts:      kde-l10n-pt_BR < 17.04.3-1
Conflicts:      kde-l10n-ro < 17.04.3-1
Conflicts:      kde-l10n-ru < 17.04.3-1
Conflicts:      kde-l10n-sk < 17.04.3-1
Conflicts:      kde-l10n-sl < 17.04.3-1
Conflicts:      kde-l10n-sr < 17.04.3-1
Conflicts:      kde-l10n-sv < 17.04.3-1
Conflicts:      kde-l10n-tr < 17.04.3-1
Conflicts:      kde-l10n-ug < 17.04.3-1
Conflicts:      kde-l10n-uk < 17.04.3-1
Conflicts:      kde-l10n-wa < 17.04.3-1
Conflicts:      kde-l10n-zh_CN < 17.04.3-1
Conflicts:      kde-l10n-zh_TW < 17.04.3-1


%description

Kompare is a GUI front-end program that enables differences between source files
to be viewed and merged. It can be used to compare differences on files or the
contents of folders, and it supports a variety of diff formats and provide many
options to customize the information level displayed.

Features :
   -Comparing directories
   -Reading diff files
   -Creating and applying patches

%files -f %name.lang
%_kf5_bindir/kompare
%_qt5_plugindir/*.so
%_kf5_datadir/applications/org.kde.kompare.desktop
%_kf5_iconsdir/hicolor/*/apps/kompare.png
%_kf5_iconsdir/hicolor/scalable/apps/kompare.svgz
%_kf5_services/komparenavtreepart.desktop
%_kf5_services/komparepart.desktop
%_kf5_servicetypes/komparenavigationpart.desktop
%_kf5_servicetypes/kompareviewpart.desktop
%_kf5_datadir/kxmlgui5/kompare/
%_kf5_datadir/kxmlgui5/komparepart/
%_kf5_datadir/appdata/org.kde.kompare.appdata.xml

#------------------------------------------------------------------------------

%define  komparedialogpages_major 5
%define  libkomparedialogpages %mklibname komparedialogpages %komparedialogpages_major

%package -n %libkomparedialogpages
Summary:    Runtime library for Kompare
Group:      System/Libraries

%description -n %libkomparedialogpages
Runtime library for Kompare.

%files -n %libkomparedialogpages
%_kf5_libdir/libkomparedialogpages.so.%{komparedialogpages_major}*

#------------------------------------------------------------------------------

%define  kompareinterface_major 5
%define  libkompareinterface %mklibname kompareinterface %kompareinterface_major

%package -n %libkompareinterface
Summary:    Runtime library for Kompare
Group:      System/Libraries

%description -n %libkompareinterface
Runtime library for Kompare.

%files -n %libkompareinterface
%_kf5_libdir/libkompareinterface.so.%{kompareinterface_major}*


#------------------------------------------------------------------------------

%package handbook
Summary:  %name handbook
BuildArch: noarch
Group: Documentation

# conflicts with mga6 packages
Conflicts:      kde-l10n-handbooks-ar < 17.04.3-1
Conflicts:      kde-l10n-handbooks-bg < 17.04.3-1
Conflicts:      kde-l10n-handbooks-bs < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ca < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ca-valencia < 17.04.3-1
Conflicts:      kde-l10n-handbooks-cs < 17.04.3-1
Conflicts:      kde-l10n-handbooks-da < 17.04.3-1
Conflicts:      kde-l10n-handbooks-de < 17.04.3-1
Conflicts:      kde-l10n-handbooks-el < 17.04.3-1
Conflicts:      kde-l10n-handbooks-en_GB < 17.04.3-1
Conflicts:      kde-l10n-handbooks-en_US < 17.04.3-1
Conflicts:      kde-l10n-handbooks-es < 17.04.3-1
Conflicts:      kde-l10n-handbooks-et < 17.04.3-1
Conflicts:      kde-l10n-handbooks-eu < 17.04.3-1
Conflicts:      kde-l10n-handbooks-fa < 17.04.3-1
Conflicts:      kde-l10n-handbooks-fi < 17.04.3-1
Conflicts:      kde-l10n-handbooks-fr < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ga < 17.04.3-1
Conflicts:      kde-l10n-handbooks-gl < 17.04.3-1
Conflicts:      kde-l10n-handbooks-he < 17.04.3-1
Conflicts:      kde-l10n-handbooks-hi < 17.04.3-1
Conflicts:      kde-l10n-handbooks-hr < 17.04.3-1
Conflicts:      kde-l10n-handbooks-hu < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ia < 17.04.3-1
Conflicts:      kde-l10n-handbooks-id < 17.04.3-1
Conflicts:      kde-l10n-handbooks-is < 17.04.3-1
Conflicts:      kde-l10n-handbooks-it < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ja < 17.04.3-1
Conflicts:      kde-l10n-handbooks-kk < 17.04.3-1
Conflicts:      kde-l10n-handbooks-km < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ko < 17.04.3-1
Conflicts:      kde-l10n-handbooks-lt < 17.04.3-1
Conflicts:      kde-l10n-handbooks-lv < 17.04.3-1
Conflicts:      kde-l10n-handbooks-mr < 17.04.3-1
Conflicts:      kde-l10n-handbooks-nb < 17.04.3-1
Conflicts:      kde-l10n-handbooks-nds < 17.04.3-1
Conflicts:      kde-l10n-handbooks-nl < 17.04.3-1
Conflicts:      kde-l10n-handbooks-nn < 17.04.3-1
Conflicts:      kde-l10n-handbooks-pa < 17.04.3-1
Conflicts:      kde-l10n-handbooks-pl < 17.04.3-1
Conflicts:      kde-l10n-handbooks-pt < 17.04.3-1
Conflicts:      kde-l10n-handbooks-pt_BR < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ro < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ru < 17.04.3-1
Conflicts:      kde-l10n-handbooks-sk < 17.04.3-1
Conflicts:      kde-l10n-handbooks-sl < 17.04.3-1
Conflicts:      kde-l10n-handbooks-sr < 17.04.3-1
Conflicts:      kde-l10n-handbooks-sv < 17.04.3-1
Conflicts:      kde-l10n-handbooks-tr < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ug < 17.04.3-1
Conflicts:      kde-l10n-handbooks-uk < 17.04.3-1
Conflicts:      kde-l10n-handbooks-wa < 17.04.3-1
Conflicts:      kde-l10n-handbooks-zh_CN < 17.04.3-1
Conflicts:      kde-l10n-handbooks-zh_TW < 17.04.3-1


%description handbook
This package provides %name handbook and mandir.

%files handbook
%doc COPYING COPYING.DOC AUTHORS ChangeLog
%doc %_kf5_docdir/HTML/*/%name

#-----------------------------------------------------------------------------

%package    devel
Summary:    Header files for kdesdk
Group:      Development/KDE and Qt

Requires: %libkomparedialogpages = %epoch:%version
Requires: %libkompareinterface = %epoch:%version

Conflicts: kdesdk4-devel < 1.4.10.80
Conflicts: kdeutils4-devel < 4.5.71
Conflicts: kremotecontrol < 4.5.71

%description  devel
This package includes the header files you will need to compile applications
against %{name}

%files devel
%_includedir/*
%_kf5_libdir/libkompareinterface.so

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold
%cmake_kf5
%make

%install
%makeinstall_std -C build
%find_lang %name


%changelog
* Sat Feb 17 2018 neoclust <neoclust> 1:17.12.2-1.mga6
+ Revision: 1202305
- New version 17.12.2
- New version 17.12.1

* Wed Mar 08 2017 neoclust <neoclust> 1:16.12.3-1.mga6
+ Revision: 1090104
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 1:16.12.0-1.mga6
+ Revision: 1076844
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 1:16.11.90-1.mga6
+ Revision: 1072043
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 1:16.08.3-1.mga6
+ Revision: 1067362
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 1:16.08.2-1.mga6
+ Revision: 1061424
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 1:16.08.1-1.mga6
+ Revision: 1050687
- New version 16.08.1

* Sat Sep 03 2016 neoclust <neoclust> 1:16.08.0-2.mga6
+ Revision: 1049836
- Rebuild for armv7

* Sat Aug 20 2016 neoclust <neoclust> 1:16.08.0-1.mga6
+ Revision: 1047331
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 1:16.04.3-1.mga6
+ Revision: 1040088
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 1:16.04.1-1.mga6
+ Revision: 1012578
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 1:16.04.0-1.mga6
+ Revision: 1004367
- New version 16.04.0

* Thu Mar 24 2016 neoclust <neoclust> 1:16.03.80-1.mga6
+ Revision: 994922
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 1:15.12.3-1.mga6
+ Revision: 991210
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 1:15.12.2-1.mga6
+ Revision: 987480
- New version 15.12.2

* Wed Jan 20 2016 neoclust <neoclust> 1:15.12.1-2.mga6
+ Revision: 926074
- Add kparts as requires ( mga #17084)

* Wed Jan 13 2016 neoclust <neoclust> 1:15.12.1-1.mga6
+ Revision: 922648
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 1:15.12.0-1.mga6
+ Revision: 911955
- New version 15.12.0

* Thu Nov 26 2015 neoclust <neoclust> 1:15.11.80-1.mga6
+ Revision: 906169
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 1:15.08.3-1.mga6
+ Revision: 901149
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 1:15.08.2-1.mga6
+ Revision: 890630
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 1:15.08.1-1.mga6
+ Revision: 880442
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 1:15.08.0-1.mga6
+ Revision: 865960
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 1:15.07.90-2.mga6
+ Revision: 863968
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 1:15.07.90-1.mga6
+ Revision: 861773
- New version 15.07.90

* Fri Jul 31 2015 neoclust <neoclust> 1:15.07.80-1.mga6
+ Revision: 859790
- New version 15.07.80

* Fri Jul 24 2015 neoclust <neoclust> 1:15.04.3-1.mga6
+ Revision: 856836
- New version 15.04.3

* Wed Dec 03 2014 lmenut <lmenut> 1:4.14.3-1.mga5
+ Revision: 800625
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 1:4.14.2-1.mga5
+ Revision: 787714
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 1:4.14.1-2.mga5
+ Revision: 743143
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 1:4.14.1-1.mga5
+ Revision: 734573
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 1:4.14.0-2.mga5
+ Revision: 681164
- Mageia 5 Mass Rebuild

* Mon Aug 25 2014 lmenut <lmenut> 1:4.14.0-1.mga5
+ Revision: 667510
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 1:4.13.97-1.mga5
+ Revision: 663022
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 1:4.13.95-1.mga5
+ Revision: 656700
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 1:4.13.90-1.mga5
+ Revision: 653886
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 1:4.13.80-1.mga5
+ Revision: 651992
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 1:4.13.2-1.mga5
+ Revision: 636760
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 1:4.13.1-1.mga5
+ Revision: 625527
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 1:4.13.0-1.mga5
+ Revision: 615604
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 1:4.12.97-1.mga5
+ Revision: 609420
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 1:4.12.95-1.mga5
+ Revision: 606861
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

  + neoclust <neoclust>
    - New version 4.12.80

* Tue Mar 11 2014 lmenut <lmenut> 1:4.12.80-2.mga5
+ Revision: 602523
- BuildRequires libkomparediff2-devel from the same version

* Fri Mar 07 2014 neoclust <neoclust> 1:4.12.80-1.mga5
+ Revision: 600703
- New version 4.12.80
- New version 4.12.3
- New version 4.12.3

* Sun Feb 16 2014 fwang <fwang> 1:4.12.2-1.mga5
+ Revision: 592692
- update file list

  + neoclust <neoclust>
    - New version 4.12.2

* Tue Feb 11 2014 neoclust <neoclust> 1:4.11.5-1.mga5
+ Revision: 589247
- New version 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 1:4.11.4-1.mga4
+ Revision: 555020
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 1:4.11.3-1.mga4
+ Revision: 551292
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 1:4.11.2-2.mga4
+ Revision: 540366
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 1:4.11.2-1.mga4
+ Revision: 490821
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 1:4.11.1-1.mga4
+ Revision: 476902
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 1:4.11.0-1.mga4
+ Revision: 465242
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 1:4.10.97-1.mga4
+ Revision: 458938
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 1:4.10.95-1.mga4
+ Revision: 455324
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 1:4.10.90-1.mga4
+ Revision: 448016
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- imported package kompare

